# Class CmdExt

java.lang.Object
org.jmol.scriptext.ScriptExt
org.jmol.scriptext.CmdExt

public class CmdExt extends ScriptExt

## Field Summary

### Fields inherited from class ScriptExt

`chk, e, slen, st, vwr`

## Constructor Summary

Constructors
Constructor
Description
`CmdExt()`

## Method Summary

Modifier and Type
Method
Description
`String`
`dispatch(int iTok, boolean flag, T[] st)`
The command dispatcher for the set of commands extended by this class.
`boolean`
`evalParallel(ScriptContext context, ShapeManager shapeManager)`
used for TRY command
`Object`
`getBitsetIdent(BS bs, String label, Object tokenValue, boolean useAtomMap, int index, boolean isExplicitlyAll)`
`Object`
`getBitsetIdentFull(BS bs, String label, boolean useAtomMap, int index, boolean isExplicitlyAll, String[] sout)`
`int`
`getLoadSymmetryParams(int i, SB sOptions, Map<String,Object> htParams)`
`Lst<Object>`
`prepareBinaryOutput(SV tvar)`

### Methods inherited from class ScriptExt

`atomExpressionAt, bsToArray, centerParameter, checkLength, error, finalizeObject, floatParameter, getAllPoints, getColorTrans, getIntArray2, getPoint3f, getShapeProperty, getToken, init, intParameter, invArg, invPO, isFloatParameter, paramAsStr, setShapeId, setShapeProperty, showString, stringParameter, tokAt`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CmdExt

public CmdExt()

## Method Details

### dispatch

public String dispatch(int iTok, boolean flag, T[] st) throws ScriptException
The command dispatcher for the set of commands extended by this class. These commands can be from the Jmol command of their method name or another command or method working as though it were a command, with a non-GUI-generated compiled script.

Specified by:
  `dispatch` in class `ScriptExt`
Parameters:
  `iTok` - the current statement position, usually 1
  `flag` - a command-specific flag
  `st` - the compiled statement for this command
Throws:
  `ScriptException`

### evalParallel

public boolean evalParallel(ScriptContext context, ShapeManager shapeManager)
used for TRY command

Parameters:
  `context` -
  `shapeManager` -
Returns:
  true if successful; false if not

### getBitsetIdent

public Object getBitsetIdent(BS bs, String label, Object tokenValue, boolean useAtomMap, int index, boolean isExplicitlyAll)

Parameters:
  `bs` -
  `label` -
  `tokenValue` - unused
  `useAtomMap` -
  `index` -
  `isExplicitlyAll` -
Returns:
  String or, if multiple or explicitly ALL, String[]

### getBitsetIdentFull

public Object getBitsetIdentFull(BS bs, String label, boolean useAtomMap, int index, boolean isExplicitlyAll, String[] sout)

### getLoadSymmetryParams

public int getLoadSymmetryParams(int i, SB sOptions, Map<String,Object> htParams) throws ScriptException

Throws:
  `ScriptException`

### prepareBinaryOutput

public Lst<Object> prepareBinaryOutput(SV tvar)